> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter ordem de serviço



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /ordem-servico/{idOrdemServico}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /ordem-servico/{idOrdemServico}:
    get:
      tags:
        - Ordem de Serviço
      summary: Obter ordem de serviço
      operationId: ObterOrdemServicoAction
      parameters:
        - $ref: >-
            #/components/parameters/get_ordem_servico_idOrdemServico_idOrdemServico
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterOrdemServicoModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_ordem_servico_idOrdemServico_idOrdemServico:
      name: idOrdemServico
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterOrdemServicoModelResponse:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        situacao:
          description: |-

            - 4 - Nao Aprovada
            - 3 - Finalizada
            - 0 - Em Aberto
            - 2 - Serv Concluido
            - 1 - Orcada
            - 5 - Aprovada
            - 6 - Em Andamento
            - 7 - Cancelada
          type: string
          enum:
            - 4
            - 3
            - 0
            - 2
            - 1
            - 5
            - 6
            - 7
          nullable: true
          x-enumDescriptions:
            - 4 - Nao Aprovada
            - 3 - Finalizada
            - 0 - Em Aberto
            - 2 - Serv Concluido
            - 1 - Orcada
            - 5 - Aprovada
            - 6 - Em Andamento
            - 7 - Cancelada
        data:
          type: string
          example: '2024-01-01'
        dataPrevista:
          type: string
          example: '2024-01-01 00:00:00'
        totalServicos:
          type: string
        totalOrdemServico:
          type: string
        totalPecas:
          type: string
        numeroOrdemServico:
          type: string
        equipamento:
          type: string
        equipamentoSerie:
          type: string
        descricaoProblema:
          type: string
        observacoes:
          type: string
        orcar:
          type: boolean
        orcado:
          type: boolean
        observacoesServico:
          type: string
        observacoesInternas:
          type: string
        alqComissao:
          type: number
          format: float
        vlrComissao:
          type: integer
        idForma:
          type: integer
        idContaContabil:
          type: integer
        desconto:
          type: string
        idListaPreco:
          type: integer
        idLocalPrestacao:
          type: string
          nullable: true
        idDeposito:
          type: integer
        dataConclusao:
          type: string
          example: '2024-01-01'
        vendedor:
          $ref: '#/components/schemas/ContatoModelResponse'
        contato:
          $ref: '#/components/schemas/ContatoModelResponse'
        tecnico:
          type: string
        categoria:
          $ref: '#/components/schemas/CategoriaReceitaDespesaResponseModel'
        formaRecebimento:
          $ref: '#/components/schemas/FormaRecebimentoResponseModel'
      type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    CategoriaReceitaDespesaResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    FormaRecebimentoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````